VIGRA - TemplateRGBAccessor class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| RGBAccessor Class Template Reference |
--- | --- | ---

`#include "vigra/rgbvalue.hxx"`

Inheritance diagram for RGBAccessor:

## Public Types
typedef RGBVALUE::value_type | component_type
## Public Methods
template<class RGBIterator> component_type const & | red (RGBIterator const &rgb) const
template<class V, class RGBIterator> void | setRed (V value, RGBIterator const &rgb) const
template<class RGBIterator, class DIFFERENCE> component_type const & | red (RGBIterator const &rgb, DIFFERENCE diff) const
template<class V, class RGBIterator, class DIFFERENCE> void | setRed (V value, RGBIterator const &rgb, DIFFERENCE diff) const
template<class RGBIterator> component_type const & | green (RGBIterator const &rgb) const
template<class V, class RGBIterator> void | setGreen (V value, RGBIterator const &rgb) const
template<class RGBIterator, class DIFFERENCE> component_type const & | green (RGBIterator const &rgb, DIFFERENCE d) const
template<class V, class RGBIterator, class DIFFERENCE> void | setGreen (V value, RGBIterator const &rgb, DIFFERENCE d) const
template<class RGBIterator> component_type const & | blue (RGBIterator const &rgb) const
template<class V, class RGBIterator> void | setBlue (V value, RGBIterator const &rgb) const
template<class RGBIterator, class DIFFERENCE> component_type const & | blue (RGBIterator const &rgb, DIFFERENCE d) const
template<class V, class RGBIterator, class DIFFERENCE> void | setBlue (V value, RGBIterator const &rgb, DIFFERENCE d) const

## Detailed Description

### template<class RGBVALUE>
class vigra::RGBAccessor< RGBVALUE >

Encapsulate access to rgb values.

#include "vigra/rgbvalue.hxx"
Namespace: vigra

## Member Typedef Documentation

typedef RGBVALUE::value_type component_type

| the vector's value_type Reimplemented from VectorAccessor< RGBVALUE >.

## Member Function Documentation

component_type const& blue | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Get value of the blue component at an offset

component_type const& blue | ( | RGBIterator const & | rgb | ) | const`[inline]`

| Get value of the blue component

component_type const& green | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Get value of the green component at an offset

component_type const& green | ( | RGBIterator const & | rgb | ) | const`[inline]`

| Get value of the green component

component_type const& red | ( | RGBIterator const & | rgb,
|  | DIFFERENCE | diff
| ) | const`[inline]`

| Get value of the red component at an offset

component_type const& red | ( | RGBIterator const & | rgb | ) | const`[inline]`

| Get value of the red component

void setBlue | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Set value of the blue component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

void setBlue | ( | V | value,
|  | RGBIterator const & | rgb
| ) | const`[inline]`

| Set value of the blue component. The type `V` of the passed in `value` is automatically converted to `component_type`.

void setGreen | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Set value of the green component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

void setGreen | ( | V | value,
|  | RGBIterator const & | rgb
| ) | const`[inline]`

| Set value of the green component. The type `V` of the passed in `value` is automatically converted to `component_type`.

void setRed | ( | V | value,
|  | RGBIterator const & | rgb,
|  | DIFFERENCE | diff
| ) | const`[inline]`

| Set value of the red component at an offset. The type `V` of the passed in `value` is automatically converted to `component_type`.

void setRed | ( | V | value,
|  | RGBIterator const & | rgb
| ) | const`[inline]`

| Set value of the red component. The type `V` of the passed in `value` is automatically converted to `component_type`.

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)